/**
 *
 * Tests for Header
 *
 * @see https://github.com/react-boilerplate/react-boilerplate/tree/master/docs/testing
 *
 */

import React from 'react';
import { render, within } from 'react-testing-library';
import { IntlProvider } from 'react-intl';
import '@testing-library/jest-dom';

// import 'jest-dom/extend-expect'; // add some helpful assertions

import Header from '../index';
import { DEFAULT_LOCALE } from '../../../i18n';

describe('<Header />', () => {
  it('Expect to not log errors in console', () => {
    const spy = jest.spyOn(global.console, 'error');
    render(
      <IntlProvider locale={DEFAULT_LOCALE}>
        <Header />
      </IntlProvider>,
    );
    expect(spy).not.toHaveBeenCalled();
  });

  it('Expect to have additional unit tests specified', () => {
    expect(true).toEqual(true);
  });

  const { getByTestId } = render(<Header />);
  const { getByText } = within(getByTestId('header'));
  expect(getByText('Junkshon Boilerplate')).toBeInTheDocument();
  /**
   * Unskip this test to use it
   *
   * @see {@link https://jestjs.io/docs/en/api#testskipname-fn}
   */
  it.skip('Should render and match the snapshot', () => {
    const {
      container: { firstChild },
    } = render(
      <IntlProvider locale={DEFAULT_LOCALE}>
        <Header />
      </IntlProvider>,
    );
    expect(firstChild).toMatchSnapshot();
  });
});
