/*
 *
 * ModalContainer reducer
 *
 */
import produce from 'immer';
import * as consts from './constants';

export const initialState = {
  active: false,
  modalObject: {
    active: false,
    closeButton: true,
    title: '',
    body: null,
  },
  index: 0,
};

/* eslint-disable default-case, no-param-reassign */
const modalContainerReducer = (state = initialState, action) =>
  produce(state, (/* draft */) => {
    switch (action.type) {
      case consts.HANDLEMODAL_REDUCER:
        return {
          ...state,
          modalObject: action.result.modalObject,
          active: action.result.active,
          index: action.result.index,
        };
      case consts.DEFAULT_ACTION:
        break;
    }
  });

export default modalContainerReducer;
