import axios from 'axios';
import Cookies from 'js-cookie';
import { urlSwitcher } from '../../../utils/urlSwitcher';
// show the tour
export const getUserWalkthroughAxios = async () => {
  axios.defaults.xsrfCookieName = 'csrftoken';
  axios.defaults.xsrfHeaderName = 'X-CSRFTOKEN';
  axios.defaults.withCredentials = true;
  return await axios({
    method: 'get',
    url: `${urlSwitcher(
      process.env.NODE_ENV,
    )}/users/WalkthroughData/?userid=${Cookies.get(
      'userid',
    )}&company_uid=${Cookies.get('company_uid')}`,
    headers: {
      Authorization: `Token ${Cookies.get('token')}`,
    },
  });
};

// save user walkthrough when they finish the tour
export const saveUserWalkthroughAxios = async key => {
  axios.defaults.xsrfCookieName = 'csrftoken';
  axios.defaults.xsrfHeaderName = 'X-CSRFTOKEN';
  axios.defaults.withCredentials = true;
  return await axios({
    method: 'post',
    url: `${urlSwitcher(process.env.NODE_ENV)}/users/WalkthroughData`,
    data: { key, userid: Cookies.get('userid') },
    headers: {
      Authorization: `Token ${Cookies.get('token')}`,
    },
    params: {
      company_uid: Cookies.get('company_uid'),
    },
  });
};
