import { PureComponent } from 'react';
import { take, call, put, select, takeEvery } from 'redux-saga/effects';
import * as actions from './actions';
import { getUserWalkthroughAxios, saveUserWalkthroughAxios } from './api/axios';
import * as consts from './constants';

// Individual exports for testing
export function* saveUserWalkthroughSaga({ key }) {
  // See example in containers/HomePage/saga.js
  const res = yield call(() => saveUserWalkthroughAxios(key));
  yield put(actions.saveUserWalkthroughReducer(res.data.walkthroughs));
}

// Individual exports for testing
export function* getUserWalkthroughSaga() {
  // See example in containers/HomePage/saga.js
  const res = yield call(() => getUserWalkthroughAxios());

  yield put(actions.getUserWalkthroughReducer(res.data));
}

// Individual exports for testing
export default function* navContainerSaga() {
  // See example in containers/HomePage/saga.js
  // add new takeeveryhere DO NOT REMOVE
  yield takeEvery(consts.SAVEUSERWALKTHROUGH_SAGA, saveUserWalkthroughSaga);

  yield takeEvery(consts.GETUSERWALKTHROUGH_SAGA, getUserWalkthroughSaga);
}
