/*
 *
 * ReusableNotificationContainer actions
 *
 */

import { TOGGLE_NOTIFICATION } from './constants';

export const TOGGLE_MODAL = 'TOGGLE_MODAL';

/**
 * @module - Notification action module (for toastys)
 */

/**
 * @function - Function to toggle the toast
 * @param {number} id - The ID of the toasty
 * @param {object} props - Object of the properties
 */

// setup a reusable toast container to toggle, uses an id parameter
// TODO: Maybe look into putting all the toasts into here, but may run into function issues eg in mcdb grid
export function toggleToast(id = null, props = null) {
  return {
    type: TOGGLE_NOTIFICATION,
    id,
    props,
  };
}

export function toggleToastWithBody(body, toastType) {
  return {
    type: 'TOGGLE_NOTIFICATION_WITH_BODY',
    body,
    toastType,
  };
}
/**
 * @function - get the notification properties
 */
// export function GetNotificationProps() {
//   return function(dispatch, getState) {
//     const { props } = getState().showToast;
//     return props;
//   };
// }
