/* eslint-disable consistent-return */
/*
 *
 * ReusableNotificationContainer reducer
 *
 */
import produce from 'immer';
import { DEFAULT_ACTION } from './constants';

export const initialState = {
  toggled: 0,
  id: null,
  props: null,
  body: null,
  type: null,
  modalId: null,
  modalData: null,
};

/* eslint-disable default-case, no-param-reassign */
const reusableNotificationContainerReducer = (state = initialState, action) =>
  produce(state, (/* draft */) => {
    switch (action.type) {
      case 'TOGGLE_NOTFICATION':
        // console.error(action);
        var newstate = {
          ...state,
          toggled: state.toggled + 1,
          id: action.id,
          props: action.props,
          body: null,
          type: null,
        };

        return newstate;
      case 'TOGGLE_NOTIFICATION_WITH_BODY':
        var newstate = {
          ...state,
          body: action.body,
          type: action.toastType,
        };
        return newstate;
      case DEFAULT_ACTION:
        break;
    }
  });

export default reusableNotificationContainerReducer;
