/**
 *
 * Tests for ReusableNotificationContainer
 *
 * @see https://github.com/react-boilerplate/react-boilerplate/tree/master/docs/testing
 *
 */

import React from 'react';
import { render } from 'react-testing-library';
// import 'jest-dom/extend-expect'; // add some helpful assertions

import { ReusableNotificationContainer } from '../index';

describe('<ReusableNotificationContainer />', () => {
  const reusableNotification = {
    toggled: 0,
    id: 1,
    props: null,
    body: null,
    type: null,
    modalId: null,
    modalData: null,
  };

  const notifications = [];

  it('Expect to not log errors in console', () => {
    const spy = jest.spyOn(global.console, 'error');
    const dispatch = jest.fn();
    render(
      <ReusableNotificationContainer
        reusableNotificationContainer={reusableNotification}
        notifications={notifications}
        dispatch={dispatch}
      />,
    );
    expect(spy).not.toHaveBeenCalled();
  });

  it('Expect to have additional unit tests specified', () => {
    expect(true).toEqual(true);
  });

  /**
   * Unskip this test to use it
   *
   * @see {@link https://jestjs.io/docs/en/api#testskipname-fn}
   */
  it('Should render and match the snapshot', () => {
    const dispatch = jest.fn();

    const {
      container: { firstChild },
    } = render(
      <ReusableNotificationContainer
        dispatch={dispatch}
        notifications={notifications}
        reusableNotificationContainer={reusableNotification}
      />,
    );
    expect(firstChild).toMatchSnapshot();
  });
});
