import { createGlobalStyle } from 'styled-components';

const GlobalStyle = createGlobalStyle`
  html,
  body {
    height: 100%;
    width: 100%;
  }

  body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  }

  body.fontLoaded {
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  }

  #app {
    background-color: #fafafa;
    min-height: 100%;
    min-width: 100%;
  }

  p,
  label {
    font-family: Georgia, Times, 'Times New Roman', serif;
    line-height: 1.5em;
  }

  .home-icon {
    color: white;
  }

  .home-icon:hover {
    color: darkgrey;
  }

    /* nav component */

  .nav-button {
    min-height: 60px;
    max-height: 60px;
    height: 60px;
    font-size: 25px;
    color: #fff;
    border: none;
    background-color: transparent;
  }

  .nav-button:last-child {
    width: 60px;
    position: absolute;
    bottom: 0px;
  }

  .nav-label {
    min-height: 60px;
    max-height: 60px;
    height: 60px;
    font-size: 25px;
    color: #fff;
    border: none;
    background-color: transparent;
  }

  .h-95vh {
    height: 95vh;
  }

  .nav-menu-icon {
    outline: none;
    border: none;
    background-color: transparent;
  }

  .body-content {
    height: calc(100vh - 56px);
  }

  .main-body {
    background-color: #fff;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    z-index: 1;
    width: calc(100% - 60px);
    padding-left: 16px;
  }
`;

export default GlobalStyle;
