const steps = {
  nav: [
    {
      selector: '.nav-button-tour',
      content: 'open menu',
    },
    {
      selector: '.compute-comparison-nav-tour',
      content: 'go to compute comparison',
    },
    {
      selector: '.storage-nav-tour',
      content: 'go to storage costings',
    },
    {
      selector: '.help-nav-tour',
      content: 'help',
    },
  ],
  '/': [
    {
      selector: '',
      content: 'Welcome to Compute Comparison/Costing',
    },
    {
      selector: '',
      content:
        'Here you can use your scenario data to compare prices from the top cloud providers, and get detailed information about the types of servers you need to run and their prices.',
    },
    {
      selector: '.scenario-dd',
      content: 'Choose the scenario you want to run the costing tool on.',
    },
    {
      selector: '.provider-dd',
      content: 'Choose the cloud provider prices you want to asses.',
    },
    {
      selector: '.location-dd',
      content:
        'Choose the datacenter location that fits your customer needs or your pricing needs.',
    },
    {
      selector: '.preset-dd',
      content:
        'Choose the preset amount of time you want your servers running from some Junkshon default options, contact us for more presets being added.',
    },
    {
      selector: '.instance-dd',
      content:
        'Choose the instance type you need depending on the type of computing this scenario will be doing.',
    },
    {
      selector: '.chipset-dd',
      content:
        'Choose the chipset you want your servers to have (This data is supplied from the cloud providers).',
    },
    {
      selector: '.network-dd',
      content:
        'Choose the network speed based on the type of data you need to serve and the critcallity of the data.',
    },
    {
      selector: '.windows-dd',
      content: 'Choose the best suited Windows OS.',
    },
    {
      selector: '.linux-dd',
      content: 'Choose the best suited Linux OS.',
    },
    {
      selector: '.compute-comparison-button',
      content:
        'Once you have selected all your options press Calculate Costings to see the varying prices.',
    },
  ],
  '/storage-costings': [
    {
      selector: '',
      content:
        'Welcome to the storage costing calculator, here you can price storage costs based on the storage information in your provided scenario data.',
    },
    {
      selector: '.scenario-dd-sc',
      content:
        'Choose the scenario you want to run the storage costing calculator on. Ensure you have the correct storage data uploaded to platform.',
    },
    {
      selector: '.provider-dd-sc',
      content: 'Select the cloud provider to compare prices of.',
    },
    {
      selector: '.location-dd-sc',
      content:
        'Choose the datacenter location that suits your customers and budget.',
    },
    {
      selector: '.production-tour',
      content: 'Storage options for production envrionments.',
    },
    {
      selector: '.non-production-tour',
      content: 'Storage options for non-production envrionments.',
    },
  ],
  '/pod-calculator': [
    {
      selector: '.dropdown-title',
      content:
        'Please select a scenario to run a Pod Calculation on. A pod calculation tells you how many staff members and managers you need to fulfill a migration scenario',
    },
    {
      selector: '.pod-calc-providers',
      content:
        'When you select your cloud provider Junkshon provided salary data of the respective represtatives from each company. Your calculated values will update accordingly',
    },
    {
      selector: '.slider-div',
      content:
        'Slide the gauges to get to your prefered servers per person and gigabytes per person. (You must select a scenario first)',
    },
    {
      selector: '.salary-people-holder',
      content:
        'The figure represents how many people you will need for your migration. As you change the slider the scale will change, with a character being one person or one hundred people',
    },
    {
      selector: '.progress-bar-tour',
      content:
        'The progress bar shows you how close you are to the Junkshon recommended estimate of how many staff per server or GB. The green line indicates the level we recommend.',
    },
    {
      selector: '.people-holder',
      content:
        'This visualisation gives you a easy to glance idea at how many staff you will need. The scale can change so be aware of the legend on the left hand side under the slider. The blue figures represent managers and the green normal staff members. The ratio of staff to managers is 10:1',
    },
    {
      selector: '.pod-calc-side-panel',
      content:
        'This side panel shows all the useful information in a easy to glance view. The numbers will update as you change your calculation paramaters',
    },
    {
      selector: '.pod-calc-pie',
      content:
        'The pie chart breaks down the staff vs manager cost ratios in a easy to glance view',
    },
  ],
};

const getSteps = key =>
  steps[key] ? [...steps[key], ...steps.nav] : steps.nav;
export default getSteps;

export const computeCardSteps = [
  {
    selector: '.title-outer',
    content: 'The scenario chosen, the provider and the location.',
  },
  {
    selector: '.info-prices-holder',
    content:
      'Information about the selected scenario costs, these figures are the prices it costs to run the scenario (set of servers) on the cloud providers servers for varying time lengths and payment plans.',
  },
  {
    selector: '.usage-prices-holder',
    content:
      'Information about the selected scenario usage amounts, these figures are the average and peak CPU and Memory usage.',
  },
  {
    selector: '.compute-bar-chart',
    content:
      'This chart shows the comparisons between varying time lengths and ways of paying, for example you can pay an "On demand fee" which is usually more expensive than a contracted price. See the cloud providers terms and prices for more information.',
  },
];

export const costingCardSteps = [
  {
    selector: '.title-outer',
    content: 'The scenario chosen, the provider and the location.',
  },
  {
    selector: '.chart-holder-cc',
    content:
      'The tier instances for the selected scenario, tells you how many of each tier type you will need to migrate',
  },
  {
    selector: '.cc-grid',
    content:
      'The grid for the graph above, shows the detailed counts for the instance types, you can filter and export this data in the grid here for further use',
  },
  {
    selector: '.tier-grid-btn',
    content:
      'Press here to see another grid with the monthly price breakdowns of these tiers.',
  },
];
